Bug 460827 - squid: rfc1035.c:417: rfc1035RRUnpack: Assertion `(*off) <= sz\' failed.
squid: rfc1035.c:417: rfc1035RRUnpack: Assertion `(*off) <= sz\' failed.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: squid (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Skala
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-01 12:02 EDT by Jan Lieskovsky
Modified: 2014-11-09 17:31 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-08 03:35:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2008-09-01 12:02:06 EDT
Description of problem:

Martin Poole has reported a similar issue than in BZ#163052:

Description for this bugzilla taken from BZ#163052:

squid restarts infrequently (approximatly 50 times since June 27) 
with logging following message to /var/log/messages:

    Squid Parent: child process 21560 exited due to signal 6


strace(1) revealed:
[pid 21557] read(10, "GET http://82.135.27.162/bombeiros/ HTTP/1.0\r\nUser-Agent: w3m/0.5.1\r\nAccept: text/*, image/*, */*\r\nAccept-Encoding: gzip, compress, bzip, bzip2, deflate\r\nAccept-Language: en; q=1.0\r\nHost: 82.135.27.162\r\nPragma: no-cache\r\nCache-control: no-cache\r\n\r\n", 4095) = 248
[pid 21557] sendto(4, "\247l\1\0\0\1\0\0\0\0\0\0\003162\00227\003135\00282\7in-addr\4arpa\0\0\f\0\1", 44, 0, {sa_family=AF_INET, sin_port=htons(53), sin_addr=inet_addr("192.168.10.2")}, 16) = 44 
[pid 21557] sendto(4, "u6\1\0\0\1\0\0\0\0\0\0\003162\00227\003135\00282\7in-addr\4arpa\0\0\f\0\1", 44, 0, {sa_family=AF_INET, sin_port=htons(53), sin_addr=inet_addr("192.168.10.2")}, 16) = 44
[...]
[pid 21557] recvfrom(4, "\247l\201\200\0\1\0\1\0\2\0\0\003162\00227\003135\00282\7in-addr\4arpa\0\0\f\0\1\300\f\0\f\0\1\0\0\34\24\0*\22host-82-135-27-162\10customer\10m-online\3net\0\300\20\0\2\0\1\0\1pw\0\6\3ns2\300T\300\20\0\2\0\1\0\1pw\0\6\3ns1\300T", 512, 0, {sa_family=AF_INET, sin_port=htons(53), sin_addr=inet_addr("192.168.10.2")}, [16]) = 134
[pid 21557] write(2, "(squid): rfc1035.c:417: rfc1035RRUnpack: Assertion `(*off) <= sz\' failed.\n", 74) = 74


After 'rndc flush' on 192.168.10.2 the requests succeeded and I haven't been 
able to reproduce it again with http://82.135.27.162/bombeiros/.


Version-Release number of selected component (if applicable):
squid-2.4.STABLE7-1.21as

Aditional information:

This issue already fixed in the versions of squid package, as shipped
with Red Hat Enterprise Linux 3 and 4. 

References:
https://bugzilla.redhat.com/show_bug.cgi?id=163052
https://bugzilla.redhat.com/show_bug.cgi?id=165367
https://bugzilla.redhat.com/show_bug.cgi?id=160704
Comment 3 Henrik Nordström 2008-10-19 16:46:10 EDT
This smells very much like a bug fixed upstream some years ago. lib/rfc1035.c has received quite many bugfixes over the years and I would recommend updating it to lastest Squid-2 upstream version minus the off_t/size_t changes (not relevant, part of another major cleanup).

Regards
Henrik
Comment 6 Jiri Skala 2009-09-08 03:35:27 EDT
RHEL2 is no longer supported.

Note You need to log in before you can comment on or make changes to this bug.